
// Belasco PD 1

singleton Material("fullsize.skin.bcpd2")
{
    mapTo = "fullsize.skin.bcpd2";
    overlayMap[2] = "vehicles/fullsize/JFXAM_BCPD/BCPD/fullsize_skin_jfxam_bcpd2.dds";
    diffuseMap[2] = "vehicles/fullsize/fullsize_c_alt.dds";
    specularMap[2] = "vehicles/fullsize/fullsize_s_alt.dds";
    normalMap[2] = "vehicles/fullsize/fullsize_n.dds";
    diffuseMap[1] = "vehicles/fullsize/fullsize_d_alt.dds";
    specularMap[1] = "vehicles/fullsize/fullsize_s_alt.dds";
    normalMap[1] = "vehicles/fullsize/fullsize_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/fullsize/fullsize_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("fullsize_glass.skin.bcpd2")
{
    mapTo = "fullsize_glass.skin.bcpd2";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/fullsize/JFXAM_BCPD/common/fullsize_glass_d_jfxam_bcpd.dds";
    opacityMap[0] = "vehicles/fullsize/JFXAM_BCPD/common/fullsize_glass_d_jfxam_bcpd.dds";
    diffuseMap[1] = "vehicles/fullsize/JFXAM_BCPD/common/fullsize_glass_da_jfxam_bcpd.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

// Belasco PD 2

singleton Material("fullsize.skin.bcpd3")
{
    mapTo = "fullsize.skin.bcpd3";
    overlayMap[2] = "vehicles/fullsize/JFXAM_BCPD/BCPD/fullsize_skin_jfxam_bcpd3.dds";
    diffuseMap[2] = "vehicles/fullsize/fullsize_c_alt.dds";
    specularMap[2] = "vehicles/fullsize/fullsize_s_alt.dds";
    normalMap[2] = "vehicles/fullsize/fullsize_n.dds";
    diffuseMap[1] = "vehicles/fullsize/fullsize_d_alt.dds";
    specularMap[1] = "vehicles/fullsize/fullsize_s_alt.dds";
    normalMap[1] = "vehicles/fullsize/fullsize_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/fullsize/fullsize_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("fullsize_glass.skin.bcpd3")
{
    mapTo = "fullsize_glass.skin.bcpd3";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/fullsize/JFXAM_BCPD/common/fullsize_glass_d_jfxam_bcpd.dds";
    opacityMap[0] = "vehicles/fullsize/JFXAM_BCPD/common/fullsize_glass_d_jfxam_bcpd.dds";
    diffuseMap[1] = "vehicles/fullsize/JFXAM_BCPD/common/fullsize_glass_da_jfxam_bcpd.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


// Belasco Sheriff

singleton Material("fullsize.skin.bcsd")
{
    mapTo = "fullsize.skin.bcsd";
    overlayMap[2] = "vehicles/fullsize/JFXAM_BCPD/BCSD/fullsize_skin_jfxam_bcsd.dds";
    diffuseMap[2] = "vehicles/fullsize/fullsize_c_alt.dds";
    specularMap[2] = "vehicles/fullsize/fullsize_s_alt.dds";
    normalMap[2] = "vehicles/fullsize/fullsize_n.dds";
    diffuseMap[1] = "vehicles/fullsize/fullsize_d_alt.dds";
    specularMap[1] = "vehicles/fullsize/fullsize_s_alt.dds";
    normalMap[1] = "vehicles/fullsize/fullsize_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/fullsize/fullsize_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("fullsize_glass.skin.bcsd")
{
    mapTo = "fullsize_glass.skin.bcsd";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/fullsize/JFXAM_BCPD/common/fullsize_glass_d_jfxam_bcpd.dds";
    opacityMap[0] = "vehicles/fullsize/JFXAM_BCPD/common/fullsize_glass_d_jfxam_bcpd.dds";
    diffuseMap[1] = "vehicles/fullsize/JFXAM_BCPD/common/fullsize_glass_da_jfxam_bcpd.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


// Belasco Sheriff 2

singleton Material("fullsize.skin.bcsd2")
{
    mapTo = "fullsize.skin.bcsd2";
    overlayMap[2] = "vehicles/fullsize/JFXAM_BCPD/BCSD/fullsize_skin_jfxam_bcsd2.dds";
    diffuseMap[2] = "vehicles/fullsize/fullsize_c_alt.dds";
    specularMap[2] = "vehicles/fullsize/fullsize_s_alt.dds";
    normalMap[2] = "vehicles/fullsize/fullsize_n.dds";
    diffuseMap[1] = "vehicles/fullsize/fullsize_d_alt.dds";
    specularMap[1] = "vehicles/fullsize/fullsize_s_alt.dds";
    normalMap[1] = "vehicles/fullsize/fullsize_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/fullsize/fullsize_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("fullsize_glass.skin.bcsd2")
{
    mapTo = "fullsize_glass.skin.bcsd2";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/fullsize/JFXAM_BCPD/common/fullsize_glass_d_jfxam_bcpd.dds";
    opacityMap[0] = "vehicles/fullsize/JFXAM_BCPD/common/fullsize_glass_d_jfxam_bcpd.dds";
    diffuseMap[1] = "vehicles/fullsize/JFXAM_BCPD/common/fullsize_glass_da_jfxam_bcpd.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material("fullsize.skin.bcsd3")
{
    mapTo = "fullsize.skin.bcsd3";
    overlayMap[2] = "vehicles/fullsize/JFXAM_BCPD/BCSD/fullsize_skin_jfxam_bcsd3.dds";
    diffuseMap[2] = "vehicles/fullsize/fullsize_c_alt.dds";
    specularMap[2] = "vehicles/fullsize/fullsize_s_alt.dds";
    normalMap[2] = "vehicles/fullsize/fullsize_n.dds";
    diffuseMap[1] = "vehicles/fullsize/fullsize_d_alt.dds";
    specularMap[1] = "vehicles/fullsize/fullsize_s_alt.dds";
    normalMap[1] = "vehicles/fullsize/fullsize_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/fullsize/fullsize_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("fullsize_glass.skin.bcsd3")
{
    mapTo = "fullsize_glass.skin.bcsd3";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/fullsize/JFXAM_BCPD/common/fullsize_glass_d_jfxam_bcpd.dds";
    opacityMap[0] = "vehicles/fullsize/JFXAM_BCPD/common/fullsize_glass_d_jfxam_bcpd.dds";
    diffuseMap[1] = "vehicles/fullsize/JFXAM_BCPD/common/fullsize_glass_da_jfxam_bcpd.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

// Official Car windows

singleton Material("fullsize.skin.bcpd")
{
    mapTo = "fullsize.skin.bcpd";
    overlayMap[2] = "vehicles/fullsize/fullsize_skin_bcpd.dds";
    diffuseMap[2] = "vehicles/fullsize/fullsize_c_alt.dds";
    specularMap[2] = "vehicles/fullsize/fullsize_s_alt.dds";
    normalMap[2] = "vehicles/fullsize/fullsize_n.dds";
    diffuseMap[1] = "vehicles/fullsize/fullsize_d_alt.dds";
    specularMap[1] = "vehicles/fullsize/fullsize_s_alt.dds";
    normalMap[1] = "vehicles/fullsize/fullsize_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/fullsize/fullsize_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("fullsize_glass.skin.bcpd")
{
    mapTo = "fullsize_glass.skin.bcpd";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/fullsize/JFXAM_BCPD/common/fullsize_glass_d_jfxam_bcpd.dds";
    opacityMap[0] = "vehicles/fullsize/JFXAM_BCPD/common/fullsize_glass_d_jfxam_bcpd.dds";
    diffuseMap[1] = "vehicles/fullsize/JFXAM_BCPD/common/fullsize_glass_da_jfxam_bcpd.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};